<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.SyncMemPool Method (LSN)
DatabaseEnvironment Class See Also

Flush modified pages in the cache with log sequence numbers less than minLSN to their backing files.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void SyncMemPool(
    	LSN minLSN
    )

Visual Basic (Declaration)

    Public Sub SyncMemPool ( _
    	minLSN As LSN _
    )

Visual C++

    public:
    void SyncMemPool(
    	LSN^ minLSN
    )

#### Parameters

minLSN
  Type: BerkeleyDB..::.LSN
  All modified pages with a log sequence number less than the minLSN parameter are written to disk. If null, all modified pages in the cache are written to disk.

# Remarks

Pages in the cache that cannot be immediately written back to disk (for example, pages that are currently in use by another thread of control) are waited for and written to disk as soon as it is possible to do so.

# See Also

DatabaseEnvironment Class
SyncMemPool Overload
BerkeleyDB Namespace